Subject: Re: What's cooking in git.git (Jan 2016, #02; Mon, 11)

From: Junio C Hamano <[email-masked]>
Date: Mon, 25 Jan 2016 14:03:45 -0800

Duy Nguyen <[email-masked]> writes:

> On Tue, Jan 12, 2016 at 6:45 AM, Junio C Hamano <[email-masked]> wrote:
>> * jk/graph-format-padding (2015-09-14) 1 commit
>>  - pretty: pass graph width to pretty formatting for use in '%>|(N)'
>>
>>  Redefine the way '%>|(N)' padding and the "--graph" option
>>  interacts.  It has been that the available columns to display the
>>  log message was measured from the edge of the area the graph ended,
>>  but with this it becomes the beginning of the entire output.
>>
>>  I have a suspicion that 50% of the users would appreciate this
>>  change, and the remainder see this break their expectation.  If
>>  that is the case, we might need to introduce a similar but
>>  different alignment operator so that this new behaviour is
>>  available to those who want to use it, without negatively affecting
>>  existing uses.
>>
>>  No comments after waiting for a long time.
>>  Will discard.
>>  ($gmane/278326)
>
> I carried this in my tree and didn't realize it's dropped from 'pu'.
> There's actually a comment last month [1]. By your last comment, does
> it mean I should check if "it" breaks anything to resurrect this one?
>
> [1] http://thread.gmane.org/gmane.comp.version-control.git/277710/focus=282886

Ahh, yes, I remember that your response was that the patch is good
and we do not need a new separate way (as there already is one)
to specify the other behaviour.  So if that is truly the case (I
didn't check it), we would certainly want to resurrect it, as there
wouldn't be any downside to it.

Thanks.